import sys
from distutils.core import setup
from setuptools import find_packages


authors = [
    ("Clinton Collins", "ccollins@idmod.org")
]


# Scripts for All platforms
console_scripts = [
    "help-from-makefile=idm_buildtools.help_from_makefile:main"
]

extras = dict()
# Windows only scripts(mock unix tools)
if sys.platform == "win32":
    console_scripts.extend([
        "pymake=idm_buildtools.make:main",
        "idm-make=idm_buildtools.make:main"
        "mv=idm_buildtools.utils:move",
        "mmove=idm_buildtools.utils:move",
        "which=idm_buildtools.utils:which",
        "mkdir=idm_buildtools.utils:mkdir",
        "unix-mkdir=idm_buildtools.utils:mkdir",
        "rm=idm_buildtools.utils:rm",
        "rrm=idm_buildtools.utils:rm"
    ])
    import shutil
    if shutil.which("make") is None:
        console_scripts.append("make=idm_buildtools.make:main")
if console_scripts:
    extras['entry_points'] = dict(console_scripts=console_scripts)


setup(
    classifiers=[
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
    ],
    description="Mostly GNU Make compatible make",
    include_package_data=True,
    keywords='build_tools',
    name='idm_buildtools',
    packages=find_packages(exclude=["tests"]),
    test_suite='tests',
    url='https://github.com/InstituteforDiseaseModeling/mozilla-pymake',
    version='1.0.3',
    **extras
)
